<?php
// Include required libraries
use Facebook\Facebook;
use Facebook\Exceptions\FacebookResponseException;
use Facebook\Exceptions\FacebookSDKException;

require_once '../vendor/facebook/graph-sdk/src/Facebook/autoload.php';
require_once '../vendor/facebook/graph-sdk/src/Facebook/Exceptions/FacebookResponseException.php';
require_once '../vendor/facebook/graph-sdk/src/Facebook/Exceptions/FacebookSDKException.php';
require_once '../vendor/facebook/graph-sdk/src/Facebook/Helpers/FacebookRedirectLoginHelper.php';

class FBUserPhoto
{

    private $appId;

    private $appSecret;

    private $fb;

    private $accessToken;

    function __construct()
    {
        $this->appId = "API-KEY";
        $this->appSecret = "APP_SECRET";
        $this->fb = new Facebook([
            'app_id' => $this->appId,
            'app_secret' => $this->appSecret,
            'default_graph_version' => 'v3.1'
        ]);

        $this->accessToken = "access-token";
    }

    function uploadPhoto($photoPath)
    {
        $photoIdArray = array();
        foreach($photoPath as $photoURL) {
            $params = array(
                "url" => "https://yourdomain.com/publishing-multi-photo-stories-to-facebook-using-php-sdk/" . $photoURL,
                "published" => false
            );
            try {
                $postResponse = $this->fb->post("/{user-id}/photos", $params, $this->accessToken);
                $photoId = $postResponse->getDecodedBody();
                if(!empty($photoId["id"])) {
                    $photoIdArray[] = $photoId["id"];
                }
            } catch (FacebookResponseException $e) {
                // display error message
                //print $e->getMessage();
                exit();
            } catch (FacebookSDKException $e) {
                //print $e->getMessage();
                exit();
            }
        }
        return $photoIdArray;
    }

    function publishMultiPhotoStory($caption, $photoIdArray)
    {
            $params = array( "message" => $caption );
            foreach($photoIdArray as $k => $photoId) {
                $params["attached_media"][$k] = '{"media_fbid":"' . $photoId . '"}';
            }
            try {
                $postResponse = $this->fb->post("/{user-id}/feed", $params, $this->accessToken);
            } catch (FacebookResponseException $e) {
                // display error message
                print $e->getMessage();
                exit();
            } catch (FacebookSDKException $e) {
                print $e->getMessage();
                exit();
            }

    }
}